From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Denis Auroux <auroux@users.sourceforge.net>
Date: Sun, 24 Jan 2021 15:48:16 -0500
Subject: [PATCH] Fix implicit function declarations by including config.h in ttsubset/*.c

Ref: https://bugs.gentoo.org/875158
Origin: Fedora
Upstream-Status: Unknown
[ismael@sourcemage.org: Normalised and simplified the patch]
Signed-off-by: Ismael Luceno <ismael@sourcemage.org>
---
 src/ttsubset/list.c |    4 ++++
 src/ttsubset/sft.c  |    4 ++++
 src/ttsubset/ttcr.c |    4 ++++
 3 files changed, 12 insertions(+)

diff --git a/src/ttsubset/list.c b/src/ttsubset/list.c
index 0cf958e43468c5ee..6b764ae7dabbe0ef 100644
--- a/src/ttsubset/list.c
+++ b/src/ttsubset/list.c
@@ -44,6 +44,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <stdlib.h>
 #include <assert.h>
 #ifdef MALLOC_TRACE
diff --git a/src/ttsubset/sft.c b/src/ttsubset/sft.c
index 249fbdf03b074575..678359eb580f9b56 100644
--- a/src/ttsubset/sft.c
+++ b/src/ttsubset/sft.c
@@ -43,6 +43,10 @@
  * @version 1.0
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <assert.h>
 #include <stdlib.h>
 #include <string.h>
diff --git a/src/ttsubset/ttcr.c b/src/ttsubset/ttcr.c
index eecfcade1a5f1b5d..38962def32de00c3 100644
--- a/src/ttsubset/ttcr.c
+++ b/src/ttsubset/ttcr.c
@@ -44,6 +44,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <sys/types.h>
 #ifdef HAVE_UNISTD_H
 #include <unistd.h>
-- 
Fixed up by sm-checkpatch 0.1

